{% extends "base.html" %}

{% block title %}Matériel{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Matériel</li>
{% endblock %}

{% block content %}
    <div class="row">
        <h3 class="col-10">Appareils d’alarme</h3>
        {% if perms.alarme.add_alarme %}
            <div class="col-2 text-end">
                <a class="btn btn-sm btn-outline-primary" href="{% url 'alarme-new' %}">Nouvel appareil</a>
            </div>
        {% endif %}
    </div>
    <div class="row table-header">
        <div class="col"><b>Nom du modèle</b></div>
        <div class="col text-end"><b>En stock</b></div>
        {% if totaux_app.revision %}<div class="col text-end"><b>Dont à réviser</b></div>{% endif %}
        <div class="col text-end"><b>En réparation</b></div>
        <div class="col text-end"><b>Chez les clients</b></div>
        <div class="col text-end"><b>Total</b></div>
    </div>
    {% for type_app in types_app %}
    {% with total_app=type_app.stock|add:type_app.reparation|add:type_app.installes %}
    {% if total_app > 0 %}
    <div class="row">
        <div class="col">{{ type_app.nom }}</div>
        <div class="col text-end">
            {% if type_app.stock > 0 %}<a href="{% url 'alarmes' %}?modele={{ type_app.pk }}&en_stock=on">{% endif %}
                {{ type_app.stock }}
            {% if type_app.stock > 0 %}</a>{% endif %}
        </div>
        {% if totaux_app.revision %}
        <div class="col text-end">
            {% if type_app.revision > 0 %}<a href="{% url 'alarmes' %}?modele={{ type_app.pk }}&en_rev=on">{% endif %}
                {{ type_app.revision }}
            {% if type_app.revision > 0 %}</a>{% endif %}
        </div>
        {% endif %}
        <div class="col text-end">
            {% if type_app.reparation > 0 %}<a href="{% url 'alarmes' %}?modele={{ type_app.pk }}&en_rep=on">{% endif %}
                {{ type_app.reparation }}
            {% if type_app.reparation > 0 %}</a>{% endif %}
        </div>
        <div class="col text-end">
            {% if type_app.installes > 0 %}<a href="{% url 'alarmes' %}?modele={{ type_app.pk }}&en_stock=off">{% endif %}
                {{ type_app.installes }}
            {% if type_app.installes > 0 %}</a>{% endif %}
        </div>
        <div class="col text-end">
            <a href="{% url 'alarmes' %}?modele={{ type_app.pk }}">
                {{ total_app }}
            </a>
        </div>
    </div>
    {% endif %}
    {% endwith %}
    {% endfor %}
    <div class="row border-top">
        <div class="col"><i>Total</i></div>
        <div class="col text-end"><a href="{% url 'alarmes' %}?en_stock=on">{{ totaux_app.stock }}</a></div>
        {% if totaux_app.revision %}<div class="col text-end"><a href="{% url 'alarmes' %}?en_rev=on">{{ totaux_app.revision }}</a></div>{% endif %}
        <div class="col text-end"><a href="{% url 'alarmes' %}?en_rep=on">{{ totaux_app.reparation }}</a></div>
        <div class="col text-end"><a href="{% url 'alarmes' %}?en_stock=off">{{ totaux_app.installes }}</a></div>
        <div class="col text-end"><a href="{% url 'alarmes' %}">{{ totaux_app.total }}</a></div>
    </div>

    <div class="mt-2 text-end">
        <i><a href="{% url 'alarmes' %}?archived=on">Appareils archivés</a></i>
    </div>


    <div class="row mt-5">
        <h3 class="col-10">Autre matériel</h3>
        {% if perms.alarme.add_alarme %}
            <div class="col-2 text-end">
                <a class="btn btn-sm btn-outline-primary" href="{% url 'materiel-new' %}">Nouveau matériel</a>
            </div>
        {% endif %}
    </div>
    <div class="row table-header">
        <div class="col"><b>Nom du matériel</b></div>
        <div class="col text-end"><b>En stock</b></div>
        <div class="col text-end"><b>Chez les clients</b></div>
        <div class="col text-end"><b>Total</b></div>
    </div>
    {% for type_mat in types_mat %}
    <div class="row">
        <div class="col">{{ type_mat.nom }}</div>
        <div class="col text-end">{{ type_mat.stock }}</div>
        <div class="col text-end">{{ type_mat.installes }}</div>
        <div class="col text-end"><a href="{% url 'materiel-liste' %}?type_mat={{ type_mat.pk }}">{{ type_mat.stock|add:type_mat.installes }}</a></div>
    </div>
    {% endfor %}

    <div class="mt-2 text-end">
        <i><a href="{% url 'materiel-liste' %}?archived=on">Matériel archivé</a></i>
    </div>
{% endblock %}
